Bug 1031459 - icewm-1.3.8
icewm-1.3.8
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: icewm (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gilboa Davara
Fedora Extras Quality Assurance
:
: 1031591 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-17 22:13 EST by Christopher Meng
Modified: 2014-10-20 11:43 EDT (History)
5 users (show)

See Also:
Fixed In Version: icewm-1.3.8-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 23:07:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-11-17 22:13:15 EST
8 hours ago icewm released 1.3.8, please migrate to the new version.

Thanks!

PS. the upstream releases monitoring of icewm is not correct maybe. I just tried a small modification of it.
Comment 1 Gilboa Davara 2013-11-20 09:26:08 EST
*** Bug 1031591 has been marked as a duplicate of this bug. ***
Comment 2 Gilboa Davara 2013-11-20 09:27:04 EST
I'm monitoring the icewm-devel ML, and no announcement was made :/

Thanks for the head's up. I'll issue a build as soon as possible.

- Gilboa
Comment 3 Christopher Meng 2013-11-21 07:06:12 EST
Coming there:

https://sourceforge.net/projects/icewm/files/icewm-1.3/1.3.8/
Comment 4 Fedora Update System 2013-12-22 00:10:47 EST
icewm-1.3.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/icewm-1.3.8-1.el6
Comment 5 Fedora Update System 2013-12-22 00:10:55 EST
icewm-1.3.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/icewm-1.3.8-1.fc19
Comment 6 Fedora Update System 2013-12-22 00:11:06 EST
icewm-1.3.8-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/icewm-1.3.8-1.fc18
Comment 7 Fedora Update System 2013-12-22 00:11:13 EST
icewm-1.3.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/icewm-1.3.8-1.fc20
Comment 8 Fedora Update System 2014-01-02 17:02:03 EST
icewm-1.3.8-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2014-01-02 17:02:28 EST
icewm-1.3.8-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2014-01-02 17:03:33 EST
icewm-1.3.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Chris Elmquist 2014-01-03 15:32:15 EST
(In reply to Fedora Update System from comment #6)
> icewm-1.3.8-1.fc18 has been submitted as an update for Fedora 18.
> https://admin.fedoraproject.org/updates/icewm-1.3.8-1.fc18

I received this update to FC18 today and after installing it, find that ICEWM no longer executes.  It fails to start with numerous errors from GLib-GObject-CRITICAL ** gtype.c 2720: You forgot to call g_type_init()

and

g_type_interface_add_prerequistite: assertion `G_TYPE_IS_INTERFACE (interface type)' failed

g_once_init_leave: assertion `result != 0' failed

and several more errors.

Reverting to icewm-1.3.7-7.fc18 restores system functionality.

Something's borked in the icewm-1.3.8 RPM
Comment 12 Christopher Meng 2014-01-04 02:47:19 EST
(In reply to Chris Elmquist from comment #11)
> (In reply to Fedora Update System from comment #6)
> > icewm-1.3.8-1.fc18 has been submitted as an update for Fedora 18.
> > https://admin.fedoraproject.org/updates/icewm-1.3.8-1.fc18
> 
> I received this update to FC18 today and after installing it, find that
> ICEWM no longer executes.  It fails to start with numerous errors from
> GLib-GObject-CRITICAL ** gtype.c 2720: You forgot to call g_type_init()
> 
> and
> 
> g_type_interface_add_prerequistite: assertion `G_TYPE_IS_INTERFACE
> (interface type)' failed
> 
> g_once_init_leave: assertion `result != 0' failed
> 
> and several more errors.
> 
> Reverting to icewm-1.3.7-7.fc18 restores system functionality.
> 
> Something's borked in the icewm-1.3.8 RPM

I'm pretty sure that this is caused by glib2 version < 2.38. You can choose to update your Fedora install by fedup.
Comment 13 Chris Elmquist 2014-01-04 15:44:43 EST
(In reply to Christopher Meng from comment #12)
> (In reply to Chris Elmquist from comment #11)
> > (In reply to Fedora Update System from comment #6)
> > > icewm-1.3.8-1.fc18 has been submitted as an update for Fedora 18.
> > > https://admin.fedoraproject.org/updates/icewm-1.3.8-1.fc18
> > 
> > I received this update to FC18 today and after installing it, find that
> > ICEWM no longer executes.  It fails to start with numerous errors from
> > GLib-GObject-CRITICAL ** gtype.c 2720: You forgot to call g_type_init()
> > 
> > and
> > 
> > g_type_interface_add_prerequistite: assertion `G_TYPE_IS_INTERFACE
> > (interface type)' failed
> > 
> > g_once_init_leave: assertion `result != 0' failed
> > 
> > and several more errors.
> > 
> > Reverting to icewm-1.3.7-7.fc18 restores system functionality.
> > 
> > Something's borked in the icewm-1.3.8 RPM
> 
> I'm pretty sure that this is caused by glib2 version < 2.38. You can choose
> to update your Fedora install by fedup.

But if the icewm-1.3.8-1 depends on a newer glib2, then why does it not have that as a dependency?  The update of this package succeeded without any missing dependencies or other failures and it wasn't until a later reboot that I found that icewm was now failing to execute.

If the package depends on other libraries being updated than those updates should occur concurrently and the dependencies automatically resolved by yum.  This is how Fedora updates have worked in the past.
Comment 14 Christopher Meng 2014-01-05 13:35:36 EST
Sorry, it should be glib2 version less than 2.36.

Backport fix of g_type_init is easy, add these lines to somewhere of code(sorry I don't have f18 machine and I can't tell you the exact info):

+#if (GLIB_MAJOR_VERSION <= 2 && GLIB_MINOR_VERSION < 36 && GLIB_MICRO_VERSION <= 0)
     g_type_init();
+#endif

Maintainer should be careful of packages depends on glib2 as this is a library with catastrophes sometimes.
Comment 15 Gilboa Davara 2014-01-08 07:19:19 EST
First, I must admit I screwed up.
I only tested Icewm 1.3.8 on F19 and F20, and when I saw that the testing version of icewm.fc18 didn't get any negative reports, I added it to the updates list.

Given the fact that F18 is weeks from being EOL'ed, I doubt that I'll be able to fix this issue on time.

I do plan to release 1.3.8 for EL5 and EL6, I'll do my best to issue a fixed F18 on the way.

Lets move the discussion concerning this bug to https://bugzilla.redhat.com/show_bug.cgi?id=1048366

- Gilboa
Comment 16 dryba 2014-02-24 08:46:26 EST

(In reply to Gilboa Davara from comment #15)
> First, I must admit I screwed up.
> I only tested Icewm 1.3.8 on F19 and F20, and when I saw that the testing
> version of icewm.fc18 didn't get any negative reports, I added it to the
> updates list.
> 
> Given the fact that F18 is weeks from being EOL'ed, I doubt that I'll be
> able to fix this issue on time.
> 
> I do plan to release 1.3.8 for EL5 and EL6, I'll do my best to issue a fixed
> F18 on the way.
> 
> Lets move the discussion concerning this bug to
> https://bugzilla.redhat.com/show_bug.cgi?id=1048366
> 
> - Gilboa

I was curious when we might see a release for el6.

I checked just recently, and the update still doesn't appear to be available at the below link:
https://admin.fedoraproject.org/updates/icewm-1.3.8-1.el6
Comment 17 Gilboa Davara 2014-02-25 03:59:51 EST
I plan to do it once I have some free time.
Hopefully, sooner, rather than later.

- Gilboa
Comment 18 Fedora Update System 2014-10-01 04:07:32 EDT
icewm-1.3.8-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/icewm-1.3.8-3.el6
Comment 19 Fedora Update System 2014-10-05 12:21:44 EDT
icewm-1.3.8-5.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/icewm-1.3.8-5.el7
Comment 20 Fedora Update System 2014-10-20 11:42:23 EDT
icewm-1.3.8-5.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2014-10-20 11:43:07 EDT
icewm-1.3.8-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.